﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Office 365 Dashboards</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Office 365 Dashboards</h1>
        <p>The <strong>Dashboard</strong>&#160;section of the&#160;<strong>Analytics</strong> tab in <strong>Saviynt Identity Governance and Administration (IGA)</strong>&#160;is used to display graphical representations such as tiles and graphs or charts of utmost importance. These representations available are created for various scenarios in either an on-premise or cloud instances. You can select multiple Office 365 account and generate dashboards. These reports use inbuilt criteria's within the Office 365 cloud application. Customized reports can also be prepared for multiple instances using appropriate SQL queries. The reports can be generated based on the data that is stored and accessible on the cloud DB. The reports can also be sometimes generated from the logs that are accessible for the user.&#160;</p>
        <p>This section explains different types of graphical representations available in Office 365 Dashboard and various parameters to be considered while configuring the dashboard for different criteria's. These graphical representations (both tiles and graphs) can be made as actionable depending on a back end query written in the database on the deployed instance.&#160;</p>
        <h2>Category of Tiles</h2>
        <p>The tiles displayed on the Office 365 Dashboard are populated from the categories and sub-categories defined in an analytic control of the Office 365 instance. The tiles display the count of violations and can be color coded, you can also minimize the display section of tiles if you do not intend to view them. The creation of Office 365 analytic control is similar to any normal analytic control that we create in IGA. For more details about the creation of analytic controls for Office 365 instance, see&#160;<MadCap:xref href="../Chapter16-Managing-EIC-Analytics/Managing-Analytics-Version1-Non-Elastic.htm">Managing Analytics Version 1 (Non-Elastic)</MadCap:xref> or <MadCap:xref href="../Chapter16-Managing-EIC-Analytics/Managing-Analytics-Version2-Elastic.htm">Managing Analytics Version 2 (Elastic)</MadCap:xref>, if the Office 365 instance that you are using supports ElasticSearch concept.</p>
        <p>Clicking on these tiles display the category and sub-category, to which the analytic control is classified on the<strong> Analytics History</strong> page.</p>
        <h2>Tile Operations</h2>
        <ol>
            <li><b>Reload</b>:&#160;On-click of the<strong>RELOAD</strong>,&#160; the data and count on the tile will be updated with the new value from the Office 365 database. The tile may also change the color according to the percentage of count (threshold) if mentioned in the query.</li>
            <li>Clicking on a tile, you can redirect to one of the following pages:<ul><li>Analytics History page using analytics details page (applicable for the SQL based controls).</li><li>Category Based redirection (on Analytics History page).</li><li>Controller Action based redirection to a specific page as required.</li><li>Risk-based redirection (on Analytics History page).</li></ul></li>
        </ol>
        <p>The dashboard tiles need to be populated from the database, see&#160;Dashboards &#160;&#160;for more information about populating the dashboards, query related to the data displayed on the dashboards and actions that you can take on them.</p>
        <h2 id="Office365Dashboards-ListofTiles">List of Tiles</h2>
        <p>The following table provides a list of tiles and the respective description, drill-downs, and source:</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 5.87372%;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 16.4464%;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 29.5154%;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 33.4802%;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 14.6843%;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">S.No</th>
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Tile Name</th>
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Description</th>
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Drill-downs (Report)</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Source?</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">1</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Azure AD Groups</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Provides the list of all the groups available in Azure AD. It recommends reviewing the AAD groups.</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Total Azure Active Directory Groups</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Azure Active Directory</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">2</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Sharepoint Groups</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Provides the list of all the groups available in Sharepoint. It recommends reviewing the AAD groups.</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Total Sharepoint Groups</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Azure Active Directory</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">3</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Sharepoint Files</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Provides the list of all the Sharepoint Files.&#160;It recommends reviewing lists of SharePoint Files for any violations</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Total Sharepoint Files</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">SharePoint</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">4</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Sharepoint Site Collections</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Provides the list of all the Sharepoint site collections.</p>
                            <p class="table-text">It recommends reviewing the list of SharePoint Site Collections</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Total Sharepoint Site Collections</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">SharePoint</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">5</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Total Accounts in Office 365</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Provides the list of all active and inactive accounts in Office365. It recommends reviewing total accounts in office365.</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Total Account in Office365</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Azure Active Directory</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">6</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Active Accounts</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Provides a list of active accounts. It recommends reviewing active accounts.</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Total Active Accounts in Office 365</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Azure Active Directory</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">7.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Sharepoint Sites</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Provides a list of all Sharepoint sites. It recommends reviewing the Sharepoint sites.</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Total Sharepoint Sites</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">SharePoint</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">8.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Sharepoint List</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Provides a list of all Sharepoint sites. It recommends reviewing the Sharepoint list for any violations.</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Total Sharepoint Lists</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">SharePoint</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">9.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Document Libraries with Broken Inheritance</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Provides a list of document libraries with broken inheritance. It recommended to review the access granted to Document Libraries with broken inheritance and take corrective actions</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Sharepoint Document Libraries with Broken Inheritance.</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">SharePoint</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">10</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Confidential Files</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Provides a list of confidential files. It recommends to quarantine or remove access from these files&#160;</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Confidential Files</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">SharePoint</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">11</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Document Libraries with no Versioning Enabled</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Provides a list of&#160;Document Libraries with no Versioning Enabled.&#160;It is recommended to enable versioning for document libraries</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Document Libraries with no Versioning Enabled</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">SharePoint</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">12</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Secret Files</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Provides a list of secret files with secret violations. It is recommended to quarantine or remove access from these files&#160;</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Secret Files</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">SharePoint</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">13</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Inactive Accounts</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Provides a list of inactive accounts. It recommends reviewing the list of inactive accounts.</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Total Inactive Accounts</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">SharePoint</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">14</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">PII Sensitive Files</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Provides the following list of different SharePoint files relevant to PII. It recommends quarantine or remove access from these files. </p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">PII Sensitive Files</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">SharePoint</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">16</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Sites with Broken Inheritance</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Provides the list of SharePoint sites with broken inheritance. It recommends reviewing the access granted to Sharepoint sites with broken inheritance and perform corrective actions.</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SharePoint Sites with Broken Inheritance</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">SharePoint</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">17</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">PCI Sensitive Files</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Provides the list of different SharePoint files relevant to PCI.&#160;It recommends quarantine or remove access from these files.</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">PCI Sensitive Files</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">SharePoint</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h2 id="Office365Dashboards-ManagingAnalyticFunctions">Managing Analytic Functions</h2>
        <p>For more information on how to navigate, view, export, and resolve conflicts. see&#160;Analytics.</p>
        <h2 id="Office365Dashboards-CategoryofCharts">Category of Charts</h2>
        <p>The charts displayed for different kind of violations on Office 365 Dashboard are populated based on the data available in the database of Office 365 instance. The charts also provide the counts, categories of violations and are color coded for easy tracking of the violations. The charts can also be made actionable, based on the part where the user clicks corresponding information can be displayed according to the requirement provided in the SQL query.</p>
        <h2 id="Office365Dashboards-ChartOperations">Chart Operations</h2>
        <ol>
            <li><b>Reload</b>:&#160;On-click of the<strong>RELOAD</strong>,&#160; the data and count on the chart will be updated with the new value from Office 365 database. The chart or section of the chart may also change color according to the percentage of count (threshold) if mentioned in the query.</li>
            <li>Clicking on a chart redirects you to one of the following pages:<ol style="list-style-type: lower-alpha;"><li>Analytics History page using analytics details page (applicable for the SQL based controls).</li><li>Category Based redirection (on Analytics History page).</li><li>Controller Action based redirection to a specific page as required.</li><li>Risk-based redirection (on Analytics History Page).</li></ol></li>
        </ol>
        <div class="confluence-information-macro-body">
            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                <ul>
                    <li>The dashboard charts need to be populated from the database, see&#160;Dashboards(available with Dev Sec Ops team) for more information about populating the dashboard charts, query related to the data displayed on the dashboards and actions that you can take on them.</li>
                    <li>For connector information, see &#160;<MadCap:conditionalText MadCap:conditions="Default.Link,Default.Web">Microsoft Office 365 Connector Guide</MadCap:conditionalText>.</li>
                </ul>
            </div>
        </div>
    </body>
</html>